_

[AutoCAD] obrót wielu tekstów

Forum ogólne, ale nie do zadawania "prostych pytań". Wszystko o CAD, czego nie da się bezpośrednio połączyć z tematyką jednego z poniższych forów tematycznych.

[AutoCAD] obrót wielu tekstów

Postprzez xgregorxx » wrz 14, 2017 22:51

Witam
mam kilka tekstów w rysunku AutoCAD które mają różne wartości obrotu kąta. Chciałbym wszystkie obrócić o wartość 180 stopni, istnieje taka możliwość?
pozdrawiam
xgregorxx
 
Posty: 1
Dołączył(a): wrz 14, 2017 22:47

Re: [AutoCAD] obrót wielu tekstów

Postprzez andkal » lis 01, 2017 22:02

Można takim małym skryptem. Zapisz go w notatniku z rozszerzeniem LSP i przeciagnij do autocada. Komenda ROTXT obroci wszystkie wybrane obiekty typu TEXT o dodatkowe 180° kazdy z osobna.
Kod: Zaznacz cały
(defun c:ROTXT ( / sset1 rotat1 i1 curobj)
    (setq sset1 (ssget '((0 . "TEXT"))    ))
    (repeat (setq i1 (sslength sset1))
        (setq curobj (ssname sset1 (setq i1 (1- i1))))
        (setq curobj (vlax-ename->vla-object curobj))
        (setq rotat1 (vla-get-rotation curobj));kat w radianach
        (vla-put-rotation curobj (+ rotat1 pi) )
    );repeat
);defun
www.autolisps.blogspot.com - Lisp routines for Autocad and Autocad MEP
andkal
 
Posty: 21
Dołączył(a): paź 01, 2017 22:10
Lokalizacja: Kraków


Powrót do Forum CAD

Kto przegląda forum

Użytkownicy przeglądający ten dział: Brak zidentyfikowanych użytkowników

cron